ApiInventory
List posted operations
AuthorizationBearer <token>
Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.
In: header
Query Parameters
type?string
Value in
- "receive"
- "supplier_return"
- "transfer"
- "convert"
- "fulfill"
- "customer_return"
- "adjust"
- "pos_sale"
from?string
to?string
tenantId?integer
Range
-9007199254740991 <= value <= 9007199254740991limit?integer
Range
0 < value <= 200Default
50cursor?string|null
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/inventory/operations"{ "data": [ { "id": 0, "tenantId": -9007199254740991, "type": "receive", "status": "posted", "note": "string", "reference": { "type": "string", "id": "string" }, "reversesOperationId": 0, "movements": [ { "objectId": 0, "namespace": "string", "key": "string", "batch": "string", "quantityName": "on_hand", "delta": 0, "balanceAfter": 0 } ], "derived": { "outputUnitCost": "string", "outputBatch": "string", "declaredLossValue": 0, "allocation": "ratio", "outputs": [ { "key": "string", "namespace": "string", "batch": "string", "quantity": -9007199254740991, "unitCost": "string", "valueShare": "string" } ] }, "createdAt": "string" } ], "meta": { "nextCursor": "string" }}